Bug 208066 - [NEW PORT] sysutils/py-scriptine: Write easy shell scripts with python
Summary: [NEW PORT] sysutils/py-scriptine: Write easy shell scripts with python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2016-03-16 16:15 UTC by Danilo G. Baio
Modified: 2017-05-06 15:10 UTC (History)
2 users (show)

See Also:


Attachments
py-scriptine.shar (1.39 KB, text/plain)
2016-03-16 16:15 UTC, Danilo G. Baio
no flags Details
py-scriptine.shar python2 (1.39 KB, text/plain)
2016-08-27 13:34 UTC, Danilo G. Baio
no flags Details
py-scriptine-v02.shar (1.39 KB, text/plain)
2016-08-27 14:53 UTC, Danilo G. Baio
koobs: maintainer-approval+
Details
py-scriptine-v03.shar (1.79 KB, text/plain)
2016-08-27 15:38 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Danilo G. Baio freebsd_committer 2016-08-27 13:34:02 UTC
Created attachment 174120 [details]
py-scriptine.shar python2

Now with USES=python:2

portlint: OK (looks fine.)
testport: 
	poudriere: i386,  10.3 (OK)
	poudriere: amd64, 10.3 (OK)
	poudriere: i386,  9.3  (OK)
	poudriere: amd64, 9.3  (OK)
	poudriere: i386,  12   (OK)
	poudriere: amd64, 12   (OK)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-27 14:37:53 UTC
(In reply to Danilo G. Baio (dbaio) from comment #1)

python:2 should only be used if the software explicitly depends on the lang/python2 port (and python2 symlink) and can't be fixed with shebangfix (unlikely)

Looking upstream [1], it doesn't yet support Python 3, so USES=python should be set to -2.7.

https://github.com/olt/scriptine/issues/2
Comment 3 Danilo G. Baio freebsd_committer 2016-08-27 14:53:34 UTC
Created attachment 174126 [details]
py-scriptine-v02.shar

Thanks @koobs, my mistake.

- Use any Python up to 2.7
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-27 15:12:44 UTC
Comment on attachment 174126 [details]
py-scriptine-v02.shar

You may want to consider adding the following (from upstream) to pkg-descr to flesh it out:

The primary goal of scriptine is to make it easy to write shell scripts with python.

Features:

 * Easy command creation. Each command is just a function.
 * Automatic option parsing
 * Automatic help text (--help)
 * Log handling (with -v, --verbose and -q, --quiet handling)
 * Testing scripts in dry-mode.
 * Easy execution of other shell scripts.
 * Convenient working with files and directories.
Comment 5 Danilo G. Baio freebsd_committer 2016-08-27 15:38:38 UTC
Created attachment 174127 [details]
py-scriptine-v03.shar

Much better now, thanks again.
Comment 6 commit-hook freebsd_committer 2017-05-06 15:10:12 UTC
A commit references this bug:

Author: miwi
Date: Sat May  6 15:09:23 UTC 2017
New revision: 440268
URL: https://svnweb.freebsd.org/changeset/ports/440268

Log:
  The primary goal of scriptine is to make it easy to write shell scripts with
  python.

  Features:

   * Easy command creation. Each command is just a function.
   * Automatic option parsing
   * Automatic help text (--help)
   * Log handling (with -v, --verbose and -q, --quiet handling)
   * Testing scripts in dry-mode.
   * Easy execution of other shell scripts.
   * Convenient working with files and directories.

  WWW: https://pypi.python.org/pypi/scriptine

  PR:		208066
  Submitted by:	dbaio@bsd.com.br

Changes:
  head/sysutils/Makefile
  head/sysutils/py-scriptine/
  head/sysutils/py-scriptine/Makefile
  head/sysutils/py-scriptine/distinfo
  head/sysutils/py-scriptine/pkg-descr